#include <cstdio>
#include <iostream>

using namespace std;

class drob
{
      private:
              int a,b;
      public:
             void read();
             void write();
             int get_a();
             int get_b();
             void set_a(int k);
             void set_b(int k);
             void sucr();
             drob sum(drob sub);
             drob mult(drob mn);
};

void drob:: read() { scanf("%d %d",&a,&b); }
void drob:: write() { printf("%d/%d",a,b); }
int drob:: get_a() { return a; }
int drob:: get_b() { return b; }
void drob:: set_a(int k) { a=k; }
void drob:: set_b(int k) { b=k; }
void drob:: sucr() { int nod=__gcd(a,b); a/=nod; b/=nod; }

drob drob:: sum(drob sub)
{
     drob ndr;
     ndr.set_a( a*sub.get_b()+b*sub.get_a() );
     ndr.set_b( b*sub.get_b() );
     return ndr;
}

drob drob:: mult(drob mn)
{
     drob ndr;
     ndr.set_a( a*mn.get_a() );
     ndr.set_b( b*mn.get_b() );
     return ndr;
}


int sqr(int a) { return a*a; }

int main()
{
    int n,c1,c2,z1,z2;
    scanf("%d",&n);
    
    drob m[1024*128],mn,st,sol1,sol2;
    
    for(int i=0;i<n;i++) m[i].read();
    
    if(n==1) { m[0].write(); printf("\n"); return 0; }
    
    sol1=m[0]; sol2=m[1];
    mn.set_a( sqr(m[0].get_a())*sqr(m[1].get_b()) + sqr(m[1].get_a())*sqr(m[0].get_b()) );
    mn.set_b( m[0].get_a()*m[0].get_b()*m[1].get_a()*m[1].get_b() );
    mn.sucr();
    
    for(int i=0;i<n-1;i++)
    {
            for(int j=i+1;j<n;j++)
            {
                    st.set_a( sqr(m[i].get_a())*sqr(m[j].get_b()) + sqr(m[j].get_a())*sqr(m[i].get_b()) );
                    st.set_b( m[i].get_a()*m[i].get_b()*m[j].get_a()*m[j].get_b() );
                    //printf("%d %d ",i,j); st.write(); printf("\n");
                    st.sucr();
                    c1=st.get_a(); z1=st.get_b();
                    c2=mn.get_a(); z2=mn.get_b();
                    if(z2*c1>z1*c2) { mn=st; sol1=m[i]; sol2=m[j]; }
            }
    }
    
    sol1.sucr(); sol2.sucr();
    
    c1=sol1.get_a(); z1=sol1.get_b();
    c2=sol2.get_a(); z2=sol2.get_b();
    
    if(c1*z2>c2*z1) { sol2.write(); printf(" "); sol1.write(); }
    else { sol1.write(); printf(" "); sol2.write(); }
    
    printf("\n");
    return 0;
}
